Merging of Streams
This topic explains Codebeamer Swagger APIs for the Merging of Streams.
Initiate Merge 
Initiates a merge operation in the specified project between a source stream (with baseline) and a target stream. The operation starts a background job that performs the merge.
URL
POST /api/v3/deltamerge
Input Parameters
Parameter
Description
projectId
Project ID
sourceStreamId
Source stream ID
sourceToBaselineId
Source stream baseline ID
targetStreamId
Target stream ID
Request Body Example
{
"projectId": 101,
"sourceStreamId": 201,
"sourceToBaselineId": 301,
"targetStreamId": 401
}
Get Merge Conflicts for Item 
Retrieves merge conflict details for a specific tracker item.
URL
GET /api/v3/deltamerge/conflicts/item/{globalUniqueItemId}
Input Parameters
Parameter
Description
globalUniqueItemId
Global unique item ID
Output Parameters
Parameter
Description
projectReference
Identifies the project that contains the stream for which the merge conflicts were evaluated.
trackerReference
Specifies the tracker that contains the work items involved in the merge conflict evaluation.
trackerItemReference
Indicates the specific tracker item that is involved in the detected merge conflict.
sourceStreamReference
Identifies the source stream from which changes are merged and where the merge conflicts originate.
sourceStreamBaselineReference
Identifies the baseline in the source stream from which the merge was attempted and against which the merge conflicts were detected.
targetStreamReference
Identifies the target stream into which changes are being merged and where the merge conflicts occur.
targetStream
Specifies the target stream into which the item changes are merged and where merge conflicts are evaluated.
Response Body Example
"sourceStreamReference": {
"id": 4875,
"name": "Library Release 1",
"type": "StreamReference"
},
"targetStreamReference": {
"id": 5881,
"name": "Library Release 2",
"type": "StreamReference"
},
"projectReference": {
"id": 4,
"name": "Engine",
"type": "ProjectReference"
},
"trackerReference": {
"id": 8414,
"name": "Customer Requirement Specifications",
"type": "TrackerReference"
},
"trackerItemReference": {
"id": 1425,
"name": "Requirement",
"type": "TrackerItemReference"
},
"sourceStreamBaselineReference": {
"id": 8660,
"name": "Baseline 20260403",
"type": "StreamBaselineReference"
}
}
Get Merge Conflicts in Stream 
Lists all merge conflicts present in a specified stream.
URL
GET /api/v3/deltamerge/conflicts/stream/{streamId}
Input Parameters
Parameter
Description
streamId
Stream ID
itemName
Filter by item name
page
Page index
pageSize
Page size
Output Parameters
Parameter
Description
projectReference
Identifies the project that contains the stream for which the merge conflicts were evaluated.
trackerReference
Specifies the tracker that contains the work items involved in the merge conflict evaluation.
trackerItemReference
Indicates the specific tracker item that is involved in the detected merge conflict.
sourceStreamReference
Identifies the source stream from which changes are merged and where the merge conflicts originate.
sourceStreamBaselineReference
Identifies the baseline in the source stream from which the merge was attempted and against which the merge conflicts were detected.
targetStreamReference
Identifies the target stream into which changes are being merged and where the merge conflicts occur.
targetStream
Specifies the target stream into which the item changes are merged and where merge conflicts are evaluated.
Response Body Example
 {
"sourceStreamReference": {
"id": 4875,
"name": "Library Release 1",
"type": "StreamReference"
},
"targetStreamReference": {
"id": 5881,
"name": "Library Release 2",
"type": "StreamReference"
},
"projectReference": {
"id": 4,
"name": "Engine",
"type": "ProjectReference"
},
"trackerReference": {
"id": 8414,
"name": "Customer Requirement Specifications",
"type": "TrackerReference"
},
"trackerItemReference": {
"id": 1425,
"name": "Torque Requirement",
"type": "TrackerItemReference"
},
"sourceStreamBaselineReference": {
"id": 8660,
"name": "Baseline 20260303",
"type": "StreamBaselineReference"
}
},
{
Next Item ...
},
Was this helpful?